Package org.eclipse.ui.console

# Interface IScrollLockStateProvider

All Known Subinterfaces:
  `IConsoleView`

public interface IScrollLockStateProvider
A scroll lock provider allows a client to control the scroll lock state of its container, e.g. a view.

Clients may implement this interface.

Since:
  3.6

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAutoScrollLock()`
Returns the auto-scroll lock state.
`boolean`
`getScrollLock()`
Returns the scroll lock state that got explicitly set by the user, e.g.
`void`
`setAutoScrollLock(boolean scrollLock)`
Sets the auto-scroll lock state, e.g. when the user moves the caret upwards in a console.
`void`
`setScrollLock(boolean scrollLock)`
Sets the scroll lock state that got explicitly set by the user, e.g. by pressing a button that controls the state.

## Method Details

### setScrollLock

void setScrollLock(boolean scrollLock)
Sets the scroll lock state that got explicitly set by the user, e.g. by pressing a button that controls the state.

Parameters:
  `scrollLock` - `true` to turn scroll lock on, otherwise `false`

### getScrollLock

boolean getScrollLock()
Returns the scroll lock state that got explicitly set by the user, e.g. by pressing a button that controls the state.

Returns:
  `true` if scroll lock is on, `false` otherwise

### setAutoScrollLock

void setAutoScrollLock(boolean scrollLock)
Sets the auto-scroll lock state, e.g. when the user moves the caret upwards in a console.

Parameters:
  `scrollLock` - `true` to turn auto-scroll lock on, otherwise `false`

### getAutoScrollLock

boolean getAutoScrollLock()
Returns the auto-scroll lock state.

Returns:
  `true` if auto-scroll lock is on, `false` otherwise
See Also:
  - `setAutoScrollLock(boolean)`